()

NAME
pmem2_source_get_fd() - reads file descriptor of the data source

SYNOPSIS

        #include <libpmem2.h>
        int pmem2_source_get_fd(const struct pmem2_source *src, int *fd);

DESCRIPTION
The pmem2_source_get_fd() function reads the file descriptor of *struct pmem2_source** object describing the data source and returns it by fd parameter.

RETURN VALUE
The pmem2_source_get_fd() function returns 0 on success or a negative error code on failure.

ERRORS
The pmem2_source_get_fd() can fail with the following errors:

•   PMEM2_E_FILE_DESCRIPTOR_NOT_SET - in case of an instance of struct pmem2_source that does not come from source type that support file descriptors, eg. anonymous data source.

SEE ALSO
libpmem2(7) and https://pmem.io